import App from './App'
import uviewPlus from 'uview-plus'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  // 使用 uview-plus (版本 3.4.0+)
  app.use(uviewPlus, () => {
    return {
      options: {
        config: {
          // 默认单位 rpx
          unit: 'rpx'
        },
        props: {
          // 可以在这里配置组件默认属性
        }
      }
    }
  })
  return {
    app
  }
}
// #endif